Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPickerTrackerMachine Class Reference

A state machine for indicating mouse movements. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerTrackerMachine:

## Public Member Functions
| QwtPickerTrackerMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine. More...

## Detailed Description

A state machine for indicating mouse movements.

QwtPickerTrackerMachine supports displaying information corresponding to mouse movements, but is not intended for selecting anything. Begin/End are related to Enter/Leave events.

Definition at line 85 of file qwt_picker_machine.h.

## Constructor & Destructor Documentation

## ◆ QwtPickerTrackerMachine()

QwtPickerTrackerMachine::QwtPickerTrackerMachine | ( |  | ) |

Constructor.

Definition at line 52 of file qwt_picker_machine.cpp.

## Member Function Documentation

## ◆ transition()

QList< QwtPickerMachine::Command > QwtPickerTrackerMachine::transition | ( | const QwtEventPattern & | ,
|  | const QEvent * | e )
| override virtual

Transition.

Implements QwtPickerMachine.

Definition at line 58 of file qwt_picker_machine.cpp.